Package org.apache.commons.math3.genetics

# Interface MutationPolicy

All Known Implementing Classes:
  `BinaryMutation`, `RandomKeyMutation`

public interface MutationPolicy
Algorithm used to mutate a chromosome.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Chromosome`
`mutate(Chromosome original)`
Mutate the given chromosome.

## Method Details

### mutate

Chromosome mutate(Chromosome original) throws MathIllegalArgumentException
Mutate the given chromosome.

Parameters:
  `original` - the original chromosome.
Returns:
  the mutated chromosome.
Throws:
  `MathIllegalArgumentException` - if the given chromosome is not compatible with this `MutationPolicy`